Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
settings
Update Channel Settings
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/settings \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "brandKit": {
    "title": "nuuds",
    "description": "Comfort-first staples.",
    "primaryColor": "#270803"
  },
  "features": {
    "isWebPixelEnabled": true,
    "isDefaultMessagingEnabled": true
  },
  "onboardingSettings": {
    "title": "Welcome to the creator program",
    "perks": [
      "Exclusive discount",
      "Early access to launches"
    ]
  }
}
'
{
  "channel": {
    "_id": "6997d1b29655870ce8359c45",
    "name": "nuuds",
    "handle": "nuuds",
    "brandKit": {
      "title": "nuuds",
      "description": "Comfort-first staples.",
      "primaryColor": "#270803"
    },
    "features": {
      "isWebPixelEnabled": true,
      "isDefaultMessagingEnabled": true
    }
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

Body

application/json

The body is of type object.

Response

Channel updated

channel
object
required